Package org.zkoss.web.servlet.xel

## Class RequestScope

- java.lang.Object
- - java.util.AbstractMap<java.lang.String,​V>
  - - org.zkoss.web.servlet.xel.StringKeysMap<java.lang.Object>
    - - org.zkoss.web.servlet.xel.AttributesMap
      - - org.zkoss.web.servlet.xel.RequestScope

- All Implemented Interfaces:
    `java.util.Map<java.lang.String,​java.lang.Object>`

      public class RequestScope
      extends AttributesMap

  Represents the request scope.
  Since:
    5.0.0
  Author:
    tomyeh

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.web.servlet.xel.StringKeysMap

      `StringKeysMap.EntryIter`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestScope​(javax.servlet.ServletRequest request)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.Enumeration<java.lang.String>` | `getKeys()` | Returns an enumeration of keys.
    `protected java.lang.Object` | `getValue​(java.lang.String key)` | Returns the value associated with the specified key.
    `protected void` | `removeValue​(java.lang.String key)` | Removes the specified key.
    `protected void` | `setValue​(java.lang.String key, java.lang.Object val)` | Sets the value associated with the specified key.

    - ### Methods inherited from class org.zkoss.web.servlet.xel.AttributesMap

      `entrySet, isEmpty, put, remove, size`

    - ### Methods inherited from class org.zkoss.web.servlet.xel.StringKeysMap

      `containsKey, get`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsValue, equals, hashCode, keySet, putAll, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### RequestScope

          public RequestScope​(javax.servlet.ServletRequest request)

  - ### Method Detail

    - #### getKeys

          protected java.util.Enumeration<java.lang.String> getKeys()

      Description copied from class: `StringKeysMap`
      Returns an enumeration of keys.
      Specified by:
        `getKeys` in class `StringKeysMap<java.lang.Object>`

    - #### getValue

          protected java.lang.Object getValue​(java.lang.String key)

      Description copied from class: `StringKeysMap`
      Returns the value associated with the specified key.
      Specified by:
        `getValue` in class `StringKeysMap<java.lang.Object>`

    - #### setValue

          protected void setValue​(java.lang.String key,
                                  java.lang.Object val)

      Description copied from class: `StringKeysMap`
      Sets the value associated with the specified key.
      Specified by:
        `setValue` in class `StringKeysMap<java.lang.Object>`

    - #### removeValue

          protected void removeValue​(java.lang.String key)

      Description copied from class: `StringKeysMap`
      Removes the specified key.
      Specified by:
        `removeValue` in class `StringKeysMap<java.lang.Object>`